RANLIB(1)

NOME
ranlib - genera l'indice dell'archivio.

SINTASSI
ranlib [--plugin name] [-DhHvVt] archive

DESCRIZIONE
ranlib genera un indice dei contenuti di un archivio e lo memorizza nell'archivio. L'indice elenca ciascun simbolo definito da un membro di un archivio che sia un file oggetto rilocabile.

Si può usare nm -s o --print-armap per elencare questo indice.

Un archivio con un tale indice velocizza il collegamento alla libreria e permette alle routine nella libreria di chiamare ciascun altra senza preoccuparsi della sua posizione nell'archivio.

The GNU ranlib program is another form of GNU ar; running ranlib is completely equivalent to executing ar -s.

OPZIONI

-h
-H
--help
    Mostra informazioni sull'uso di ranlib.

-v
-V
--version
    Mostra il numero di versione di ranlib.

-D  Operate in deterministic mode. The symbol map archive member's header will show zero for the UID, GID, and timestamp. When this option is used, multiple runs will produce identical output files.

    Se binutils è stato configurato con --enable-deterministic-archives, questa modalità è abilitata in modo predefinito. Può essere disabilitata con l'opzione -U descritta più avanti.

-t  Aggiorna la marcatura temporale della mappa dei simboli di un archivio.

-U  Do not operate in deterministic mode. This is the inverse of the -D option, above: the archive index will get actual UID, GID, timestamp, and file mode values.

    Se binutils è stato configurato senza --enable-deterministic-archives, questa modalità è abilitata in modo predefinito.

@file
    Legge le opzioni da riga di comando da file. Le opzioni lette sono inserite al posto dell'opzione originale @file. Se file non esiste o non può essere letto, l'opzione sarà trattata letteralmente, e non rimossa.

    Le opzioni in file sono separate da spazi vuoti. Si può includere uno spazio vuoto in un'opzione racchiudendo l'intera opzione fra apici, singoli o doppi. Può essere incluso qualsiasi carattere (compresa la barra inversa) facendo precedere al carattere una barra inversa. Il file può esso stesso contenere ulteriori opzioni @file; ciascuna di queste opzioni sarà elaborata ricorsivamente.

VEDERE ANCHE
ar(1), nm(1) e i campi Info per binutils.

COPYRIGHT
Copyright (c) 1991-2023 Free Software Foundation, Inc.

È permesso copiare, distribuire e/o modificare questo documento nei termini della “Licenza per documentazione libera GNU” (GNU Free Documentation License), versione 1.3 o ogni versione successiva pubblicata dalla Free Software Foundation; senza sezioni non modificabili, senza testi di prima di copertina e di quarta di copertina. Una copia della licenza è inclusa nella sezione intitolata “Licenza per la documentazione libera GNU" (GNU Free Documentation License).

TRADUZIONE
La traduzione italiana di questa pagina di manuale è stata creata da Giulio Daprelà <giulio@pluto.it> e Marco Curreli <marcocurreli@tiscali.it>

Questa traduzione è documentazione libera; leggere la GNU General Public License Versione 3 (https://www.gnu.org/licenses/gpl-3.0.html) o successiva per le condizioni di copyright. Non ci assumiamo alcuna responsabilità.

Per segnalare errori nella traduzione di questa pagina di manuale inviare un messaggio a pluto-ildp@lists.pluto.it.